__KFIFO_GET(9)

NAME
__kfifo_get - gets some data from the FIFO, no locking version

SYNOPSIS

unsigned int __kfifo_get (struct kfifo * fifo, unsigned char * buffer, unsigned int len);

ARGUMENTS

fifo
    the fifo to be used.

buffer
    where the data must be copied.

len the size of the destination buffer.

DESCRIPTION

This function copies at most 'len' bytes from the FIFO into the 'buffer' and returns the number of copied bytes.

Note that with only one concurrent reader and one concurrent writer, you don't need extra locking to use these functions.